GDB (xrefs)

Enumerations | Functions
tic6x.h File Reference

Go to the source code of this file.

## Enumerations
enum | c6x_feature { C6X_CORE, C6X_GP, C6X_C6XP, C6X_LAST }

## Functions
target_desc * | tic6x_create_target_description (enum c6x_feature feature)

## Enumeration Type Documentation

## ◆ c6x_feature

enum c6x_feature

Enumerator
C6X_CORE |
C6X_GP |
C6X_C6XP |
C6X_LAST |

Definition at line 18 of file tic6x.h.

## Function Documentation

## ◆ tic6x_create_target_description()

target_desc* tic6x_create_target_description | ( | enum c6x_feature | feature | ) |

Definition at line 29 of file tic6x.c.

References allocate_target_description(), C6X_C6XP, C6X_GP, create_feature_tic6x_c6xp(), create_feature_tic6x_core(), create_feature_tic6x_gp(), regnum, set_tdesc_architecture(), and set_tdesc_osabi().